<?php
session_start();

// Verifica se o usuário está autenticado
if (!isset($_SESSION["usuario_digitado"])) {
    header("Location: login.php");
    exit();
}

// Conectar ao banco de dados
$db = new SQLite3('.listausuarios.db');

// Exclui todos os usuários
$sql_delete = "DELETE FROM USERS";
$result = $db->exec($sql_delete);

if ($result) {
    echo "<script>
        alert('Todos os usuários foram excluídos com sucesso!');
        window.location.href = 'inativos.php'; // Redirecionar para a página de onde veio o request
    </script>";
} else {
    echo "<script>
        alert('Erro ao excluir usuários.');
        window.location.href = 'pagina_atual.php'; // Redirecionar para a página de onde veio o request
    </script>";
}
?>
